{% extends "base.html" %}
{% block main %}

<form role="form" method="POST" action="{{ url_for('login') }}" class="needs-validation" novalidate>

    {{ form.hidden_tag() }}

    <h1>{{title}}</h1>
    <div class="form-group">
        <label for="username" class="col-sm-2 control-label">{{ form.username.label}}</label>
        <div class="col-sm-10">
            {{ form.username(size=50, class_="form-control", placeholder="Enter username", required=True) }}
            <div class="valid-feedback">Valid.</div>
            <div class="invalid-feedback">Please fill out this field.</div>
        </div>
    </div>

    <div class="form-group">
        <label for="password" class="col-sm-2 control-label">{{ form.password.label}}</label>
        <div class="col-sm-10">
            {{ form.password(size=50, class_="form-control", placeholder="Enter password", required=True) }}
            <div class="valid-feedback">Valid.</div>
            <div class="invalid-feedback">Please fill out this field.</div>
        </div>
    </div>

    <div class="form-group">
        <div class="col-sm-offset-2 col-sm-10">
            <button type="submit" class="btn btn-success">Sign in</button>
        </div>
    </div>
</form>

<p class="col-sm-4">Vous ne possédez pas de compte :</p>
<span class="col-sm-4"><a class="btn btn-primary " href="{{ url_for('new_compte') }}">Créer un compte</a></span>
<br>
<br>



{% if alert %}
<div class="alert alert-danger">
    <strong>Echec!</strong> {{ alert }}
</div>
{% endif %}

<script>
    // Disable form submissions if there are invalid fields
    (function() {
      'use strict';
      window.addEventListener('load', function() {
        // Get the forms we want to add validation styles to
        var forms = document.getElementsByClassName('needs-validation');
        // Loop over them and prevent submission
        var validation = Array.prototype.filter.call(forms, function(form) {
          form.addEventListener('submit', function(event) {
            if (form.checkValidity() === false) {
              event.preventDefault();
              event.stopPropagation();
            }
            form.classList.add('was-validated');
          }, false);
        });
      }, false);
    })();
    </script>

{% endblock %}
